> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/error-object.md).

# Error Object

## Description

When errors occur, the Skeddly API will return a model with the following properties:

## Properties

### errorCode

[Error code](https://github.com/skeddly/skeddly-api/tree/6d02f9b6e3bedba66e16a6fb9e2503d33556f127/types/error-codes.md) related to the error.

Type: `string`

### message

Descriptive message explaining (as best as possible) the error.

Type: `string`

### modelState

Map of model errors.

Type: `object`

## Sample JSON for Unauthorized Operation

```javascript
{
    "errorCode": "UnauthorizedOperation",
    "message": "You are not authorized to execute actions:ListActions"
}
```

## Sample JSON for Invalid Parameter

```javascript
{
    "errorCode": "ParameterValidationFailed",
    "message": "Parameter validation failed",
    "modelState": {
        "parameters.InstanceIdentificationMethod": {
            "errors": [
                {
                    "errorMessage": "Invalid value for InstanceIdentificationMethod. Valid values are 'by-instance-id' or 'by-instance-name-tag'."
                }
            ]
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/error-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
